﻿using UnityEngine;

[AddComponentMenu("#NVJOB/Tools/Slow Motion")]


///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////


public class SlowMo : MonoBehaviour
{
    ///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////


    public AudioSource[] audios;

    KeyCode mainKey;

    ///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////


    void Awake()
    {
        mainKey = InputManager.main.slowMo;
        //--------------

        Time.timeScale = 1.0f;

        //--------------
    }


    ///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////


    void LateUpdate()
    {
        //--------------

        if (Input.GetKeyDown(mainKey))
        {
            if (Time.timeScale != 0.33f)
            {
                Time.timeScale = 0.33f;
                for (int i = 0; i < audios.Length; i++) audios[0].pitch = 0.5f;
            }
            else if (Time.timeScale != 1.0f)
            {
                Time.timeScale = 1.0f;
                for (int i = 0; i < audios.Length; i++) audios[0].pitch = 1.0f;
            }
        }

        //--------------
    }


    ///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////


    void OnApplicationQuit()
    {
        //--------------

        Time.timeScale = 1.0f;

        //--------------
    }


    ///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
}